Bug 740231 - Man pages detected as Fortran program
Summary: Man pages detected as Fortran program
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 11:29 UTC by Petr Šplíchal
Modified: 2016-06-01 01:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-01 13:27:11 UTC


Attachments (Terms of Use)
Example "FORTRAN" man page (4.86 KB, application/x-gzip)
2011-10-04 10:06 UTC, Petr Šplíchal
no flags Details

Description Petr Šplíchal 2011-09-21 11:29:00 UTC
Description of problem:

Some manual pages are detected by file command as a Fortran
program. This causes other utilities to malfunction, for example
less will not correctly format the manual page but display the
formatting commands instead.

Version-Release number of selected component (if applicable):
file-5.04-11.el6.x86_64

Steps to Reproduce:
# cat /usr/share/man/en/man1/man.1.gz | gunzip | file -
/dev/stdin: FORTRAN program

# less /usr/share/man/en/man1/man.1.gz | head
.\"
.\" Generated automatically from man.1.in by the
.\" configure script.
.\"
.\" Man page for man (and the former manpath)
.\"
.\" Copyright (c) 1990, 1991, John W. Eaton.
.\"
.\" You may distribute under the terms of the GNU General Public
.\" License as specified in the README file that comes with the man 1.0

This is a regression against RHEL5 where the detection works as
expected:

# cat /usr/share/man/en/man1/man.1.gz | gunzip | file -
/dev/stdin: troff or preprocessor input text

Comment 2 Jan Kaluža 2011-10-03 09:35:07 UTC
Could you please attach that man-page file? I'm not able to reproduce it with the piece returned by "head".

Comment 3 Petr Šplíchal 2011-10-04 10:06:49 UTC
Created attachment 526216 [details]
Example "FORTRAN" man page

Comment 4 Jan Kaluža 2011-10-04 11:11:09 UTC
Thanks, there is already upstream bug closed as wontfix: http://bugs.gw.com/view.php?id=133

I've created new one and we will see... http://bugs.gw.com/view.php?id=147

If upstream will be against, I will have to close it as WONTFIX, because there's no way how to distinguish between FORTRAN comment and line starting with "C " or "c ". File can't do any advanced parsing.

Comment 5 Jan Kaluža 2011-11-01 13:27:11 UTC
Since there's no input on this issue from upstream and previous bug was closed as WONTFIX, I will close this one too. I don't see any 100% how to fix this bug, but do not break detection of other things.


Note You need to log in before you can comment on or make changes to this bug.